Error al detectar set buildpack https://github.com/jasonswett/heroku-buildpack-nodejs

Compré el libro angular para desarrolladores de Rails.

Cuando me desconecté a Heroku, no pude detectar el buildpack establecido. He incluido mi package. Json.

Cualquier ayuda sería muy apreciada. Gracias


Mensaje de error de la terminal cuando … $ git push heroku master

Writing objects: 100% (64/64), 15.94 KiB | 0 bytes/s, done. Total 64 (delta 1), reused 0 (delta 0) remote: Compressing source files... done. remote: Building source: remote: remote: -----> Failed to detect set buildpack https://github.com/jasonswett/ heroku-buildpack-nodejs remote: More info: https://devcenter.heroku.com/articles/buildpacks#detection-failure remote: remote: ! Push failed remote: Verifying deploy... remote: remote: ! Push rejected to still-harbor-34757. remote: To https://git.heroku.com/still-harbor-34757.git ! [remote rejected] master -> master (pre-receive hook declined) error: failed to push some refs to 'https://git.heroku.com/still-harbor-34757.git' 

mi package.json

 { "name": "home-library", "version": "0.0.0", "license": "MIT", "angular-cli": {}, "scripts": { "start": "ng serve --proxy-config proxy.conf.json", "lint": "tslint \"src/**/*.ts\"", "test": "ng test", "pree2e": "webdriver-manager update", "e2e": "protractor", "heroku-postbuild": "ng build --prod" }, "private": true, "dependencies": { "@angular/common": "2.2.1", "@angular/compiler": "2.2.1", "@angular/core": "2.2.1", "@angular/forms": "2.2.1", "@angular/http": "2.2.1", "@angular/platform-browser": "2.2.1", "@angular/platform-browser-dynamic": "2.2.1", "@angular/router": "3.2.1", "core-js": "^2.4.1", "rxjs": "5.0.0-beta.12", "ts-helpers": "^1.1.1", "zone.js": "^0.6.23", "@angular/compiler-cli": "2.2.1", "@types/jasmine": "2.5.38", "@types/node": "^6.0.42", "angular-cli": "1.0.0-beta.21", "codelyzer": "~1.0.0-beta.3", "jasmine-core": "2.5.2", "jasmine-spec-reporter": "2.5.0", "karma": "1.2.0", "karma-chrome-launcher": "^2.0.0", "karma-cli": "^1.0.1", "karma-jasmine": "^1.0.2", "karma-remap-istanbul": "^0.2.1", "protractor": "4.0.9", "ts-node": "1.2.1", "tslint": "3.13.0", "typescript": "~2.0.3", "webdriver-manager": "10.2.5" }, "devDependencies": { } }